// MCC18 : Exemple de gestion des communication I2C en mode esclave
// Utilisation du peripherique intgr au PIC18 et de la bibliotheque MCC18 i2c.h 
// Le bus i2c est connect sur RC3,RC4 (SCL, SDA)
// C.Dupaty 05/2012

#include <p18f2620.h>
#include "i2c.h" // bibliotheque Microchip


/** VARIABLES GLOBALES********************************************************/
extern unsigned char dataAtransmettre[10]; // table  transmettree
extern unsigned char data;					// donnee reu sur I2C
extern unsigned char message[40]; 		// tampon reception
extern unsigned char messRecu;			// indique qu'un message a t reu

void main (void)
{
 unsigned char i;
	init_horloge_interne(); // 8MHz
	init_i2c();
	TRISB=0; // pour test
	TRISA=0xFF;
	messRecu=0;
	while(1)	{
				for (i=0;i<sizeof(dataAtransmettre);i++)
					{
						dataAtransmettre[i]=PORTA+i;  // remplissage pour tests
					}
					PORTB=data;    		// sort data sur PORTB pour test
				if (messRecu)
					{
						messRecu=0;
						Nop(); 	// le message est dans le tableau message
					}
				}				
}